### Enumeration

# Gtk SizeGroupMode

#### Declaration

    enum Gtk.SizeGroupMode

#### Description [src]

The mode of the size group determines the directions in which the size group affects the requested sizes of its component widgets.

#### Members

Name | Description
--- | ---
`GTK_SIZE_GROUP_NONE` | Group has no effect.
`GTK_SIZE_GROUP_HORIZONTAL` | Group affects horizontal requisition.
`GTK_SIZE_GROUP_VERTICAL` | Group affects vertical requisition.
`GTK_SIZE_GROUP_BOTH` | Group affects both horizontal and vertical requisition.